vprocss: XVprocSs_ContextData Struct Reference

| vprocss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVprocSs_ContextData Struct Reference

Video Processing Subsystem context scratch pad memory. More...

## Data Fields
XVidC_VideoWindow | RdWindow
| window for Zoom/Pip feature support More...
XVidC_VideoWindow | WrWindow
| window for Zoom/Pip feature support More...
UINTPTR | DeintBufAddr
| Deinterlacer field buffer Addr. More...
u8 | PixelWidthInBits
| Number of bits required to store 1 pixel. More...
u8 | RtngTable [XVPROCSS_SUBCORE_MAX]
| Storage for computed routing map. More...
u8 | StartCore [XVPROCSS_SUBCORE_MAX]
| Enable flag to start sub-core. More...
u8 | RtrNumCores
| Number of sub-cores in routing map. More...
u8 | ScaleMode
| Stored computed scaling mode - UP/DN/1:1. More...
u8 | ZoomEn
| Flag to store Zoom feature state. More...
u8 | PipEn
| Flag to store PIP feature state. More...
u16 | VidInWidth
| Input H Active. More...
u16 | VidInHeight
| Input V Active. More...
u16 | PixelHStepSize
| Increment step size for Pip/Zoom window. More...
XVidC_ColorFormat | StrmCformat
| processing pipe color format More...
XVidC_ColorFormat | CscIn
| CSC core input color format. More...
XVidC_ColorFormat | CscOut
| CSC core output color format. More...
XVidC_ColorFormat | HcrIn
| horiz. More...
XVidC_ColorFormat | HcrOut
| horiz. More...
XLboxColorId | LboxBkgndColor
| Lbox background color. More...

## Detailed Description

Video Processing Subsystem context scratch pad memory.

This contains internal flags, state variables, routing table and other meta-data required by the subsystem. Each instance of the subsystem will have its own context data memory

## Field Documentation

XVidC_ColorFormat XVprocSs_ContextData::CscIn

CSC core input color format.

Referenced by XVprocSs_BuildRoutingTable(), and XVprocSs_SetupRouterDataFlow().

XVidC_ColorFormat XVprocSs_ContextData::CscOut

CSC core output color format.

Referenced by XVprocSs_BuildRoutingTable(), and XVprocSs_SetupRouterDataFlow().

UINTPTR XVprocSs_ContextData::DeintBufAddr

Deinterlacer field buffer Addr.

in DDR

Referenced by XVprocSs_CfgInitialize(), and XVprocSs_SetupRouterDataFlow().

XVidC_ColorFormat XVprocSs_ContextData::HcrIn

horiz.

cresmplr core input color format

Referenced by XVprocSs_BuildRoutingTable(), and XVprocSs_SetupRouterDataFlow().

XVidC_ColorFormat XVprocSs_ContextData::HcrOut

horiz.

cresmplr core output color format

Referenced by XVprocSs_BuildRoutingTable(), and XVprocSs_SetupRouterDataFlow().

XLboxColorId XVprocSs_ContextData::LboxBkgndColor

Lbox background color.

Referenced by XVprocSs_SetPIPBackgroundColor(), and XVprocSs_SetupRouterDataFlow().

u8 XVprocSs_ContextData::PipEn

Flag to store PIP feature state.

Referenced by XVprocSs_SetPipMode(), and XVprocSs_SetZoomMode().

u16 XVprocSs_ContextData::PixelHStepSize

Increment step size for Pip/Zoom window.

Referenced by XVprocSs_SetZoomPipWindow().

u8 XVprocSs_ContextData::PixelWidthInBits

Number of bits required to store 1 pixel.

Referenced by XVprocSs_ReportSubcoreStatus(), XVprocSs_VdmaSetWinToDnScaleMode(), and XVprocSs_VdmaSetWinToUpScaleMode().

XVidC_VideoWindow XVprocSs_ContextData::RdWindow

window for Zoom/Pip feature support

Referenced by XVprocSs_GetZoomPipWindow(), XVprocSs_SetupRouterDataFlow(), and XVprocSs_SetZoomPipWindow().

u8 XVprocSs_ContextData::RtngTable[XVPROCSS_SUBCORE_MAX]

Storage for computed routing map.

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_ProgRouterMux(), XVprocSs_ReportSubsystemConfig(), and XVprocSs_SetupRouterDataFlow().

u8 XVprocSs_ContextData::RtrNumCores

Number of sub-cores in routing map.

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_ProgRouterMux(), and XVprocSs_SetupRouterDataFlow().

u8 XVprocSs_ContextData::ScaleMode

Stored computed scaling mode - UP/DN/1:1.

Referenced by XVprocSs_BuildRoutingTable(), and XVprocSs_SetupRouterDataFlow().

u8 XVprocSs_ContextData::StartCore[XVPROCSS_SUBCORE_MAX]

Enable flag to start sub-core.

Referenced by XVprocSs_Reset(), XVprocSs_SetupRouterDataFlow(), and XVprocSs_Start().

XVidC_ColorFormat XVprocSs_ContextData::StrmCformat

processing pipe color format

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_SetPIPBackgroundColor(), and XVprocSs_SetupRouterDataFlow().

u16 XVprocSs_ContextData::VidInHeight

Input V Active.

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_SetupRouterDataFlow(), and XVprocSs_VdmaSetWinToUpScaleMode().

u16 XVprocSs_ContextData::VidInWidth

Input H Active.

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_SetupRouterDataFlow(), and XVprocSs_VdmaSetWinToUpScaleMode().

XVidC_VideoWindow XVprocSs_ContextData::WrWindow

window for Zoom/Pip feature support

Referenced by XVprocSs_GetZoomPipWindow(), XVprocSs_SetupRouterDataFlow(), XVprocSs_SetZoomPipWindow(), and XVprocSs_UpdateZoomPipWindow().

u8 XVprocSs_ContextData::ZoomEn

Flag to store Zoom feature state.

Referenced by XVprocSs_SetPipMode(), and XVprocSs_SetZoomMode().